Bug 558993 - init script seem broken
init script seem broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-26 16:03 EST by Need Real Name
Modified: 2010-02-15 05:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 05:07:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2010-01-26 16:03:54 EST
The bluetooth init script seems to output no information or weird information:

# /etc/init.d/bluetooth start
Enabling Bluetooth devices:
# /etc/init.d/bluetooth status
stop}
# /etc/init.d/bluetooth stop
Stopping Bluetooth services:

("stop}" is not a typo)
Comment 1 Matthias Clasen 2010-02-14 23:31:12 EST
On my system, it says:

[mclasen@planemask icons]$ /sbin/service bluetooth status
Usage: /etc/init.d/bluetooth {start|stop}
Comment 2 Bastien Nocera 2010-02-15 05:07:15 EST
Fixed the typo in rawhide, in the new 4.61 package. I also committed the fix to F-12, if we ever do a release there.

Look at the script itself (or the F-12 release notes) if you wonder why it doesn't print any information.

Thanks for catching it!

Note You need to log in before you can comment on or make changes to this bug.